### Method

# Gio SimpleAction set_state

since: 2.30

#### Declaration

    void
    g_simple_action_set_state (
      GSimpleAction* simple,
      GVariant* value
    )

#### Description

Sets the state of the action.

This directly updates the ‘state’ property to the given value.

This should only be called by the implementor of the action. Users of the action should not attempt to directly modify the ‘state’ property. Instead, they should call `g_action_change_state()` to request the change.

If the `value` GVariant is floating, it is consumed.

Available since: 2.30

Sets property | `Gio.SimpleAction:state`

#### Parameters

`value`

  Type: `GVariant`

  The new `GVariant` for the state.

  The data is owned by the caller of the method.